Subject: Bug: Segfault when doing "git diff"

From: "Mathias L. Baumann" <[email-masked]>
Date: Wed, 28 Oct 2015 12:58:46 +0100

Hello dear git devs,

I just stumbled upon a segfault when doing just "git diff" in my repo.

I managed to create a minimal repo setup where the bug is reproducable.

The problem seems to be a mix of having an untracked submodule and 
having set an alternates file for one submodule.

Attached you'll find my setup that will reproduce the problem. Simply 
run  'git diff' in bugtest1.

In case the attachment is refused, I also uploaded it here:

http://supraverse.net/bugdemo.tar.gz

cheers,

     --Marenz